.sidebar {
    min-width: $sidebar-width;
    max-width: $sidebar-width;
    min-height: 100vh;
    z-index: 999;
    background: #252F3B;
    color: $dark-gray;
    //position: fixed;
    //top: 0;
    //left: 0;
    display: flex;
    flex-direction: column;
    transition: 0.3s;
    overflow: hidden;

    &.open {
        margin-left: -$sidebar-width;
    }

    //&.collapsed {
    //  min-width: $sidebar-collapsed-width;
    //  max-width: $sidebar-collapsed-width;
    //  text-align: center;
    //  //
    //  //& ~ .content {
    //  //  margin-left: $sidebar-collapsed-width;
    //  //}
    //
    //  .footer {
    //    display: none;
    //  }
    //
    //  .components {
    //    a {
    //      padding: 20px !important;
    //
    //      > i {
    //        margin: 0;
    //      }
    //
    //      > span {
    //        display: none;
    //        opacity: 0;
    //      }
    //    }
    //
    //    .title {
    //      margin: 40px 0 0 0;
    //    }
    //  }
    //
    //  .dropdown-button {
    //    i:last-child {
    //      display: none;
    //    }
    //  }
    //}

    &__header {
     /*   display: flex;
        align-items: center;
        justify-content: center;
        min-height: 75px;
     */
        background-color: #B72740;
        box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.15);

        .company-logo {
            /*
            margin: 0;
            */
            width: 60px;
            height: 60px;
        }
    }

    .components {
        .title {
            color: $dark-gray;
            font-size: 14px;
            margin: 45px 0 20px 30px;
        }

        li {

            &.active {
                a {
                    background: #202831;
                    box-shadow: 3px 0 $green inset;
                    color: $green;

                    &:hover {
                        color: $green;
                    }
                }
            }

            a {
                display: flex;
                padding: 20px 0 20px 30px;
                color: $gray;
                font-size: 16px;
                white-space: nowrap;
                text-decoration: none;
                transition: 0.3s;

                i {
                    display: inline-block;
                    margin-right: 20px;
                    width: 20px;
                    height: 20px;
                    font-size: 18px;
                }

                span {
                    white-space: normal;
                }

                &:hover {
                    padding-left: 40px;
                    //background-color: #293845;
                    color: #fff;
                }
            }
        }
    }

    .footer {
        display: block;
        margin-top: auto;
        border-top: 1px solid rgba(223, 224, 235, 0.3);
        padding: 40px 25px 25px 25px;
        font-size: 12px;

        &__logo {
            margin-bottom: 15px;
        }
    }

    .dropdown-button {
        position: relative;

        i:last-child {
            position: absolute;
            top: 50%;
            right: 25px;
            transform: translateY(-50%);
            transform-origin: center center;
            transition: transform 0.2s;
            margin: 0;
            font-size: 10px;

            &:before {
                line-height: 20px;
            }
        }

        &[aria-expanded=true] {
            i:last-child {
                transform: rotate(180deg) translateY(50%);
            }
        }

        + ul {
            a {
                color: $gray !important;

                &:hover {
                    color: #fff !important;
                }
            }

            li.active a {
                color: #fff !important;
            }
        }
    }
}

//
//#sidebar.active {
//  margin-left: -250px;
//}
//
//.sidebar__header {
//  height: 75px;
//}

//.sidebar {
//  padding: 0;
//}
//
//
//.nav-sidebar {
//
//  .nav-link {
//    border-radius: 0;
//    margin: 0 !important;
//    color: #A4A6B3 !important;
//    &.active {
//      color: $green !important;
//      background-color: #252F3B !important;
//      box-shadow: 3px 0 $green inset !important;
//      //border-left: 3px solid $green;
//    }
//
//    padding: 20px;
//
//    p {
//      margin: 0 0 0 10px !important;
//      font-size: 16px;
//    }
//
//    i {
//      font-size: 20px;
//    }
//  }
//
//  .nav-item {
//    width: 100%;
//    //padding-left: 30px;
//
//  }
//
//  > .nav-header {
//    margin: 30px 0 20px 20px;
//    font-size: 14px;
//    height: 40px;
//    color: #A4A6B3 !important;
//  }
//}
//
//.brand-link {
//  height: 75px;
//  display: flex;
//  justify-content: center;
//  align-items: center;
//  padding: 0;
//  text-align: center;
//  background-color: #B72740;
//
//  .brand-image {
//    max-height: 60px;
//    margin: 0 !important;
//    display: block;
//    float: none;
//  }
//
//  .brand-text {
//    display: none !important;
//  }
//}
//
//
//.sidebar-collapse {
//  .nav-link, .nav-header {
//    text-align: center;
//    display: block !important;
//  }
//
//  .nav-link p {
//    margin: 0 !important;
//    display: none !important;
//  }
//
//  .nav-header {
//    margin: 0 !important;
//  }
//}

/* Changing the arrow position to bottom center position,
   translateX(50%) works with right: 50%
   to accurately  center the arrow */
//#sidebar.active .dropdown-toggle::after {
//  top: auto;
//  bottom: 10px;
//  right: 50%;
//  -webkit-transform: translateX(50%);
//  -ms-transform: translateX(50%);
//  transform: translateX(50%);
//}

.company-logo-back {
    width: 100%;
    height: 100%;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    min-height: 75px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
